%global dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)

Name:		pcsc-lite-acsccid
Version:	1.1.6
Release:	1%{?dist}
Summary:	ACS CCID PC/SC Driver for Linux/Mac OS X

License:	LGPLv2+
URL:		http://acsccid.sourceforge.net/
Source0:	https://downloads.sourceforge.net/acsccid/acsccid-1.1.6.tar.bz2

BuildRequires:	gcc
BuildRequires:	pcsc-lite-devel
BuildRequires:	libusb-devel
BuildRequires:	flex
BuildRequires:	perl
BuildRequires:	pkg-config
BuildRequires:	systemd-rpm-macros

Requires:	pcsc-lite

%description
acsccid is a PC/SC driver for Linux/Mac OS X and it supports ACS CCID smart card
readers. This library provides a PC/SC IFD handler implementation and
communicates with the readers through the PC/SC Lite resource manager (pcscd).

acsccid is based on ccid. See CCID free software driver [1] for more
information.


%prep
%setup -q -n acsccid-%{version}


%build
%configure
make %{?_smp_mflags}


%install
%make_install
install src/openct/LICENSE LICENSE.openct
install -m 644 src/towitoko/README README.towitoko


%post
%systemd_postun_with_restart pcscd.service


%preun
%systemd_preun pcscsd.service


%postun
%systemd_postun_with_restart pcscd.service


%files
%doc AUTHORS ChangeLog README README.towitoko
%license COPYING LICENSE.openct 
%dir %{dropdir}/ifd-acsccid.bundle/
%dir %{dropdir}/ifd-acsccid.bundle/Contents/
%{dropdir}/ifd-acsccid.bundle/Contents/Info.plist
%dir %{dropdir}/ifd-acsccid.bundle/Contents/Linux/
%{dropdir}/ifd-acsccid.bundle/Contents/Linux/libacsccid.so

%changelog
* Fri Jun 28 2019 Jakub Jelen <jjelen@redhat.com> - 1.1.6-1
- Initial release in Fedora


